Get Role Options
GET
/static/roles
const url = 'https://api.exolink.cloud/static/roles';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/static/roles \ --header 'Authorization: Bearer <token>'Get list of available user roles
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Role options
Media typeapplication/json
Array<object>
object
id
User role in a tenant
string
name
string
Example
[ { "id": "Owner", "name": "Read Only" }]Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}